## com.sun.jersey.api.model
Class AbstractResourceMethod

    java.lang.Object
      com.sun.jersey.api.model.AbstractMethod
          com.sun.jersey.api.model.AbstractResourceMethod

All Implemented Interfaces:
  AbstractModelComponent, Parameterized, java.lang.reflect.AnnotatedElement

Direct Known Subclasses:
  AbstractSubResourceMethod

    public class AbstractResourceMethod

extends AbstractMethod
implements Parameterized, AbstractModelComponent

Abstraction for a resource method

Constructor Summary
`AbstractResourceMethod(AbstractResource resource, java.lang.reflect.Method method, java.lang.Class returnType, java.lang.reflect.Type genericReturnType, java.lang.String httpMethod, java.lang.annotation.Annotation[] annotations)`

Method Summary
`void` | `accept(AbstractModelVisitor visitor)`
`boolean` | `areInputTypesDeclared()`
`boolean` | `areOutputTypesDeclared()`
`java.util.List<AbstractModelComponent>` | `getComponents()`
`AbstractResource` | `getDeclaringResource()`
`java.lang.reflect.Type` | `getGenericReturnType()`
`java.lang.String` | `getHttpMethod()`
`java.util.List<Parameter>` | `getParameters()`
`java.lang.Class` | `getReturnType()`
`java.util.List<MediaType>` | `getSupportedInputTypes()`
`java.util.List<MediaType>` | `getSupportedOutputTypes()`
`boolean` | `hasEntity()`
`void` | `setAreInputTypesDeclared(boolean declared)`
`void` | `setAreOutputTypesDeclared(boolean declared)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jersey.api.model.AbstractMethod
`getAnnotation, getAnnotations, getDeclaredAnnotations, getMethod, getResource, isAnnotationPresent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractResourceMethod

    public AbstractResourceMethod(AbstractResource resource,
                                  java.lang.reflect.Method method,
                                  java.lang.Class returnType,
                                  java.lang.reflect.Type genericReturnType,
                                  java.lang.String httpMethod,
                                  java.lang.annotation.Annotation[] annotations)

Method Detail

### getDeclaringResource

    public AbstractResource getDeclaringResource()

### getReturnType

    public java.lang.Class getReturnType()

### getGenericReturnType

    public java.lang.reflect.Type getGenericReturnType()

### getSupportedInputTypes

    public java.util.List<MediaType> getSupportedInputTypes()

### setAreInputTypesDeclared

    public void setAreInputTypesDeclared(boolean declared)

### areInputTypesDeclared

    public boolean areInputTypesDeclared()

### getSupportedOutputTypes

    public java.util.List<MediaType> getSupportedOutputTypes()

### setAreOutputTypesDeclared

    public void setAreOutputTypesDeclared(boolean declared)

### areOutputTypesDeclared

    public boolean areOutputTypesDeclared()

### getHttpMethod

    public java.lang.String getHttpMethod()

### hasEntity

    public boolean hasEntity()

### getParameters

    public java.util.List<Parameter> getParameters()

  Specified by:
    `getParameters` in interface `Parameterized`

### accept

    public void accept(AbstractModelVisitor visitor)

  Specified by:
    `accept` in interface `AbstractModelComponent`

### getComponents

    public java.util.List<AbstractModelComponent> getComponents()

  Specified by:
    `getComponents` in interface `AbstractModelComponent`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2017 Oracle Corporation. All Rights Reserved.